%define pkg_name        Test-Differences
%define pkg_version     0.47
%define rpm_pkg_version 0.47
%define rpm_pkg_release 5.n0i.5

Summary:       Test strings and data structures and show differences if not ok
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RB/RBS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
Requires:      perl(Text::Diff) >= 0.34
%{!?_without_test:BuildRequires: perl(Text::Diff) >= 0.34}
%{!?_without_test:BuildRequires: perl(Test::More)}


%description
When the code you're testing returns multiple lines, records or data
structures and they're just plain wrong, an equivalent to the Unix "diff"
utility may be just what's needed. Here's output from an example test script
that checks two text documents and then two (trivial) data structures:


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path eg/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes eg/


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.47-5.n0i.5
- rebuild

* Wed May 09 2007 Marius Feraru <altblue@n0i.net> - 0.47-4.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.5
- rebuild on perl 5.8.8

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 0.47-3.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.47-2.n0i.2
- automatic rebuild (perl 5.8.6)

* Mon Jan 10 2005 Marius Feraru <altblue@n0i.net> 0:0.47-1.n0i.1
- version 0.47
- spec file (re?)created using N0i::CPAN::RPMizer/2004120601
